---
title: rattler-build upload quetz
---
<!--- This file is autogenerated. Do not edit manually! -->
# [rattler-build](../index.md) [upload](index.md) quetz

Upload to a Quetz server. Authentication is used from the keychain / auth-file

## Usage
```
rattler-build upload quetz [OPTIONS] --url <URL> --channel <CHANNELS>
```

## Options
- <a id="arg---url" href="#arg---url">`--url (-u) <URL>`</a>
:  The URL to your Quetz server
<br>**required**: `true`
<br>**env**: `QUETZ_SERVER_URL`
- <a id="arg---channel" href="#arg---channel">`--channel (-c) <CHANNELS>`</a>
:  The URL to your channel
<br>**required**: `true`
<br>**env**: `QUETZ_CHANNEL`
- <a id="arg---api-key" href="#arg---api-key">`--api-key (-a) <API_KEY>`</a>
:  The Quetz API key, if none is provided, the token is read from the keychain / auth-file
<br>**env**: `QUETZ_API_KEY`
